{% extends 'base.html.twig' %}

{% block title %}
    {{ title }}
{% endblock %}

{% block header %}
    {{ parent() }}
    <h2>Ici on gère les {{ title }} !!</h2>
{% endblock %}

{% block main %}
    <p>Les villes</p>
    {% if villes %}
        <ul class="list-group">
        {% for ville in villes %}
            <li class="list-group-item zololo">
                <div class="row">
                    <div class="col-md-5 m-2">
                        {{ ville.nom }} ({{ ville.codePostal }})
                    </div>
                    <div class="col-md-3 m-2">
                        <a href="{{ path('ville_update', {'id': ville.id}) }}">
                            <button class="btn btn-sm btn-outline-primary">
                                Modifier
                            </button>
                        </a>
                        <a href="{{ path('ville_delete', {'id': ville.id}) }}">
                            <button type="button" class="btn btn-sm btn-outline-danger">
                                Supprimer
                            </button>
                        </a>
                    </div>
                </div>
            </li>
        {% endfor %}

        </ul>
    {% endif %}
    <div class="row">
        <div class="col-md-5 m-2">
        </div>
        <div class="col-md-3 m-2">
            <a href="{{ path('ville_create') }}">
                <button class="btn btn-outline-success">
                    Créer nouvelle ville
                </button>
            </a>
        </div>
    </div>
{% endblock %}

